Index: code/branches/questsystem3/src/orxonox/objects/quest/AddQuest.cc
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/AddQuest.cc	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/AddQuest.cc	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file AddQuest.cc
-    @brief
-    Implementation of the AddQuest class.
+    @brief Implementation of the AddQuest class.
 */
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/AddQuest.h
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/AddQuest.h	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/AddQuest.h	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file AddQuest.h
-    @brief
-    Definition of the AddQuest class.
+    @brief Definition of the AddQuest class.
 */
 
@@ -58,10 +57,10 @@
     {
         public:
-            AddQuest(BaseObject* creator);
-            virtual ~AddQuest();
-
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a AddQuest object through XML.
-
-            virtual bool invoke(PlayerInfo* player); //!< Invokes the QuestEffect.
+        AddQuest(BaseObject* creator);
+        virtual ~AddQuest();
+    
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a AddQuest object through XML.
+    
+        virtual bool invoke(PlayerInfo* player); //!< Invokes the QuestEffect.
 
     };
Index: code/branches/questsystem3/src/orxonox/objects/quest/AddQuestHint.cc
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/AddQuestHint.cc	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/AddQuestHint.cc	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file AddQuestHint.cc
-    @brief
-    Implementation of the AddQuestHint class.
+    @brief Implementation of the AddQuestHint class.
 */
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/AddQuestHint.h
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/AddQuestHint.h	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/AddQuestHint.h	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file AddQuestHint.h
-    @brief
-    Definition of the AddQuestHint class.
+    @brief Definition of the AddQuestHint class.
 */
 
@@ -73,4 +72,5 @@
             inline const std::string & getHintId(void) const
                 { return this->hintId_; }
+            
             bool setHintId(const std::string & id); //!< Sets the id of the QuestHint.
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/AddReward.cc
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/AddReward.cc	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/AddReward.cc	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file AddReward.cc
-    @brief
-    Implementation of the AddReward class.
+    @brief Implementation of the AddReward class.
 */
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/AddReward.h
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/AddReward.h	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/AddReward.h	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file AddReward.h
-    @brief
-    Definition of the AddReward class.
+    @brief Definition of the AddReward class.
 */
 
@@ -78,4 +77,5 @@
             inline void addRewardable(Rewardable* reward)
                 { this->rewards_.push_back(reward); }
+        
             const Rewardable* getRewardables(unsigned int index) const; //!< Returns the Rewardable object at the given index.
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/ChangeQuestStatus.cc
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file ChangeQuestStatus.cc
-    @brief
-    Implementation of the ChangeQuestStatus class.
+    @brief Implementation of the ChangeQuestStatus class.
 */
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/ChangeQuestStatus.h
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file ChangeQuestStatus.h
-    @brief
-    Definition of the ChangeQuestStatus class.
+    @brief Definition of the ChangeQuestStatus class.
 */
 
@@ -63,6 +62,6 @@
         protected:
             /**
-                @brief Returns the id of the Quest.
-                @return Returns the id of the Quest.
+            @brief Returns the id of the Quest.
+            @return Returns the id of the Quest.
             */
             inline const std::string & getQuestId(void) const
Index: code/branches/questsystem3/src/orxonox/objects/quest/CompleteQuest.cc
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/CompleteQuest.cc	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/CompleteQuest.cc	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file CompleteQuest.cc
-    @brief
-    Implementation of the CompleteQuest class.
+    @brief Implementation of the CompleteQuest class.
 */
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/CompleteQuest.h
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/CompleteQuest.h	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/CompleteQuest.h	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file CompleteQuest.h
-    @brief
-    Definition of the CompleteQuest class.
+    @brief Definition of the CompleteQuest class.
 */
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/FailQuest.cc
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/FailQuest.cc	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/FailQuest.cc	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file FailQuest.cc
-    @brief
-    Implementation of the FailQuest class.
+    @brief Implementation of the FailQuest class.
 */
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/FailQuest.h
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/FailQuest.h	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/FailQuest.h	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file FailQuest.h
-    @brief
-    Definition of the FailQuest class.
+    @brief Definition of the FailQuest class.
 */
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/GlobalQuest.cc
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/GlobalQuest.cc	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/GlobalQuest.cc	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file GlobalQuest.cc
-    @brief
-    Implementation of the GlobalQuest class.
+    @brief Implementation of the GlobalQuest class.
 */
 
@@ -96,12 +95,12 @@
         
         Quest::fail(player);
-	
-	//! Iterate through all players possessing this Quest.
-	for(std::set<PlayerInfo*>::const_iterator it = players_.begin(); it != players_.end(); it++)
-	{
-	    QuestEffect::invokeEffects(*it, this->getFailEffectList());
-	}
-
-	return true;
+    
+    //! Iterate through all players possessing this Quest.
+    for(std::set<PlayerInfo*>::const_iterator it = players_.begin(); it != players_.end(); it++)
+    {
+        QuestEffect::invokeEffects(*it, this->getFailEffectList());
+    }
+
+    return true;
     }
 
@@ -125,13 +124,13 @@
         
         //! Iterate through all players possessing the Quest.
-	for(std::set<PlayerInfo*>::const_iterator it = players_.begin(); it != players_.end(); it++)
-	{
-	    QuestEffect::invokeEffects(*it, this->getCompleteEffectList());
-	}
-	
-	Quest::complete(player);
-	
-	QuestEffect::invokeEffects(player, this->rewards_); //!< Invoke reward QuestEffects on the player completing the Quest.
-	return true;
+        for(std::set<PlayerInfo*>::const_iterator it = players_.begin(); it != players_.end(); it++)
+        {
+            QuestEffect::invokeEffects(*it, this->getCompleteEffectList());
+        }
+    
+        Quest::complete(player);
+    
+        QuestEffect::invokeEffects(player, this->rewards_); //!< Invoke reward QuestEffects on the player completing the Quest.
+        return true;
     }
 
@@ -208,5 +207,5 @@
         }
 
-    return questStatus::inactive;
+        return questStatus::inactive;
     }
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/GlobalQuest.h
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/GlobalQuest.h	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/GlobalQuest.h	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file GlobalQuest.h
-    @brief
-    Definition of the GlobalQuest class.
+    @brief Definition of the GlobalQuest class.
 */
 
@@ -56,13 +55,13 @@
             <QuestDescription title="Title" description="Description." /> //The description of the quest.
             <subquests>
-        <Quest id ="questId1" /> //A list of n subquest, be aware, each of the <Quest /> tags must have a description and so on and so forth as well.
-        ...
-        <Quest id="questIdn" />
-        </subquests>
-        <hints>
-        <QuestHint id="hintId1" /> //A list of n QuestHints, see QuestHint for the full XML representation of those.
-        ...
-        <QuestHint id="hintIdn" />
-        </hints>
+                <Quest id ="questId1" /> //A list of n subquest, be aware, each of the <Quest /> tags must have a description and so on and so forth as well.
+                ...
+                <Quest id="questIdn" />
+            </subquests>
+            <hints>
+                <QuestHint id="hintId1" /> //A list of n QuestHints, see QuestHint for the full XML representation of those.
+                ...
+                <QuestHint id="hintIdn" />
+            </hints>
             <fail-effects>
                 <QuestEffect /> //A list of QuestEffects, invoked on all players possessing this quest, when the Quest is failed, see QuestEffect for the full XML representation.
Index: code/branches/questsystem3/src/orxonox/objects/quest/LocalQuest.cc
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/LocalQuest.cc	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/LocalQuest.cc	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file LocalQuest.cc
-    @brief
-    Implementation of the LocalQuest class.
+    @brief Implementation of the LocalQuest class.
 */
 
@@ -95,6 +94,6 @@
         Quest::fail(player);
         
-	QuestEffect::invokeEffects(player, this->getFailEffectList()); //!< Invoke the failEffects.
-	return true;
+        QuestEffect::invokeEffects(player, this->getFailEffectList()); //!< Invoke the failEffects.
+        return true;
     }
 
@@ -118,6 +117,6 @@
         Quest::complete(player);
         
-	QuestEffect::invokeEffects(player, this->getCompleteEffectList()); //!< Invoke the complete QuestEffects.
-	return true;
+        QuestEffect::invokeEffects(player, this->getCompleteEffectList()); //!< Invoke the complete QuestEffects.
+        return true;
     }
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/LocalQuest.h
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/LocalQuest.h	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/LocalQuest.h	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file LocalQuest.h
-    @brief
-    Definition of the LocalQuest class.
+    @brief Definition of the LocalQuest class.
 */
 
@@ -65,14 +64,14 @@
         <QuestHint id="hintIdn" />
         </hints>
-            <fail-effects>
-                <QuestEffect /> //A list of QuestEffects, invoked when the Quest is failed, see QuestEffect for the full XML representation.
-                ...
-                <QuestEffect />
-            </fail-effects>
-            <complete-effects>
-                <QuestEffect /> //A list of QuestEffects, invoked when the Quest is completed, see QuestEffect for the full XML representation.
-                ...
-                <QuestEffect />
-            </complete-effects>
+    <fail-effects>
+        <QuestEffect /> //A list of QuestEffects, invoked when the Quest is failed, see QuestEffect for the full XML representation.
+        ...
+        <QuestEffect />
+    </fail-effects>
+    <complete-effects>
+        <QuestEffect /> //A list of QuestEffects, invoked when the Quest is completed, see QuestEffect for the full XML representation.
+        ...
+        <QuestEffect />
+    </complete-effects>
         </LocalQuest>
     @author
Index: code/branches/questsystem3/src/orxonox/objects/quest/Quest.cc
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/Quest.cc	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/Quest.cc	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file Quest.cc
-    @brief
-    Implementation of the Quest class.
+    @brief Implementation of the Quest class.
 */
 
@@ -420,5 +419,5 @@
         
         this->getDescription()->sendAddQuestNotification();
-	return true;
+        return true;
     }
     
Index: code/branches/questsystem3/src/orxonox/objects/quest/Quest.h
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/Quest.h	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/Quest.h	(revision 2352)
@@ -29,8 +29,6 @@
 /**
     @file Quest.h
-    @brief
-    Definition of the Quest class.
-    
-    The Quest is the parent class of LocalQuest and GlobalQuest.
+    @brief Definition of the Quest class.
+        The Quest is the parent class of LocalQuest and GlobalQuest.
 */
  
@@ -90,28 +88,28 @@
                 { return this->parentQuest_; }
                 
-	    /**
-	    @brief Returns the list of subquests.
-	    @return Returns a reference to the list of subquests of the quest.
-	    */
-	    inline const std::list<Quest*> & getSubQuestList(void) const
-		{ return this->subQuests_; }
-		    
-	    /**
-	    @brief Returns the list of all QuestHints of this Quest.
-	    @return Returns a reference to the list of QuestHints of the Quest.
-	    */
-	    inline const std::list<QuestHint*> & getHintsList(void) const
-		{ return this->hints_; }
-	    
-	    bool isInactive(const PlayerInfo* player) const; //!< Returns true if the quest status for the specific player is 'inactive'.
-	    bool isActive(const PlayerInfo* player) const; //!< Returns true if the quest status for the specific player is 'active'.
-	    bool isFailed(const PlayerInfo* player) const; //!< Returns true if the quest status for the specific player is 'failed'.
-	    bool isCompleted(const PlayerInfo* player) const; //!< Returns true if the quest status for the specific player is 'completed'.
-	    
-	    bool start(PlayerInfo* player); //!< Sets a Quest to active.
-	    virtual bool fail(PlayerInfo* player); //!< Fails the Quest.
-	    virtual bool complete(PlayerInfo* player); //!< Completes the Quest.
-	    
-	    bool addListener(QuestListener* listener); //!< Adds a QuestListener to the list of QuestListeners listening to this Quest.
+            /**
+            @brief Returns the list of subquests.
+            @return Returns a reference to the list of subquests of the quest.
+            */
+            inline const std::list<Quest*> & getSubQuestList(void) const
+                { return this->subQuests_; }
+
+            /**
+            @brief Returns the list of all QuestHints of this Quest.
+            @return Returns a reference to the list of QuestHints of the Quest.
+            */
+            inline const std::list<QuestHint*> & getHintsList(void) const
+                { return this->hints_; }
+        
+            bool isInactive(const PlayerInfo* player) const; //!< Returns true if the quest status for the specific player is 'inactive'.
+            bool isActive(const PlayerInfo* player) const; //!< Returns true if the quest status for the specific player is 'active'.
+            bool isFailed(const PlayerInfo* player) const; //!< Returns true if the quest status for the specific player is 'failed'.
+            bool isCompleted(const PlayerInfo* player) const; //!< Returns true if the quest status for the specific player is 'completed'.
+        
+            bool start(PlayerInfo* player); //!< Sets a Quest to active.
+            virtual bool fail(PlayerInfo* player); //!< Fails the Quest.
+            virtual bool complete(PlayerInfo* player); //!< Completes the Quest.
+        
+            bool addListener(QuestListener* listener); //!< Adds a QuestListener to the list of QuestListeners listening to this Quest.
 
         protected:
@@ -133,9 +131,9 @@
                 { return this->failEffects_; }
                 
-	    /**
-	    @brief Returns the list of complete QuestEffects.
-	    @return Returns a reference to the list of complete QuestEffects.
-	    */
-	    inline std::list<QuestEffect*> & getCompleteEffectList(void)
+            /**
+            @brief Returns the list of complete QuestEffects.
+            @return Returns a reference to the list of complete QuestEffects.
+            */
+            inline std::list<QuestEffect*> & getCompleteEffectList(void)
                 { return this->completeEffects_; }
 
@@ -143,5 +141,5 @@
             virtual bool setStatus(PlayerInfo* player, const questStatus::Enum & status) = 0; //!< Changes the status for a specific player.
             
-    private:
+        private:
             Quest* parentQuest_; //!< Pointer to the parentquest.
             std::list<Quest*> subQuests_; //!< List of all the subquests.
Index: code/branches/questsystem3/src/orxonox/objects/quest/QuestDescription.cc
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/QuestDescription.cc	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/QuestDescription.cc	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file QuestDescription.cc
-    @brief
-    Implementation of the QuestDescription class.
+    @brief Implementation of the QuestDescription class.
 */
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/QuestDescription.h
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/QuestDescription.h	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/QuestDescription.h	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file QuestDescription.h
-    @brief
-    Definition of the QuestDescription class.
+    @brief Definition of the QuestDescription class.
 */
 
@@ -64,58 +63,58 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestDescription object through XML.
 
-	    /**
-	    @brief Returns the title.
-	    @return Returns a string containing the title of the QuestDescription.
-	    */
-	    inline const std::string & getTitle(void) const
-		{ return this->title_; }
-	    
-	    /**
-	    @brief Returns the description text.
-	    @return Returns a string containing the description text of the QuestDescription.
-	    */
-	    inline const std::string & getDescription(void) const
-		{ return this->description_; }
-		
-	    /**
-	    @brief Returns the fail message.
-	    @return Returns a string containing the fail message of the QuestDescription.
-	    */
-	    inline const std::string & getFailMessage(void) const
-		{ return this->failMessage_; }
-		
-	    /**
-	    @brief Returns the complete message.
-	    @return Returns a string containing the complete message of the QuestDescription.
-	    */
-	    inline const std::string & getCompleteMessage(void) const
-		{ return this->completeMessage_; }
-	    
-	    /**
-	    @brief Sends a Notification displaying that a QuestHint was added.
-	    @return Returns true if successful.
-	    */
-	    inline bool sendAddHintNotification(void) const
+            /**
+            @brief Returns the title.
+            @return Returns a string containing the title of the QuestDescription.
+            */
+            inline const std::string & getTitle(void) const
+                { return this->title_; }
+        
+            /**
+            @brief Returns the description text.
+            @return Returns a string containing the description text of the QuestDescription.
+            */
+            inline const std::string & getDescription(void) const
+                { return this->description_; }
+        
+            /**
+            @brief Returns the fail message.
+            @return Returns a string containing the fail message of the QuestDescription.
+            */
+            inline const std::string & getFailMessage(void) const
+                { return this->failMessage_; }
+        
+            /**
+            @brief Returns the complete message.
+            @return Returns a string containing the complete message of the QuestDescription.
+            */
+            inline const std::string & getCompleteMessage(void) const
+                { return this->completeMessage_; }
+        
+            /**
+            @brief Sends a Notification displaying that a QuestHint was added.
+            @return Returns true if successful.
+            */
+            inline bool sendAddHintNotification(void) const
                 { return notificationHelper("hint", ""); }
-	    
-	    /**
-	    @brief Sends a Notification displaying that a Quest was added.
-	    @return Returns true if successful.
-	    */
-	    inline bool sendAddQuestNotification(void) const
+        
+            /**
+            @brief Sends a Notification displaying that a Quest was added.
+            @return Returns true if successful.
+            */
+            inline bool sendAddQuestNotification(void) const
                 { return notificationHelper("quest", "start"); }
-	    
-	    /**
-	    @brief Sends a Notification displaying that a Quest was failed.
-	    @return Returns true if successful.
-	    */
-	    inline bool sendFailQuestNotification(void) const
+        
+            /**
+            @brief Sends a Notification displaying that a Quest was failed.
+            @return Returns true if successful.
+            */
+            inline bool sendFailQuestNotification(void) const
                 { return notificationHelper("quest", "fail"); }
-	    
-	    /**
-	    @brief Sends a Notification displaying that a Quest was completed.
-	    @return Returns true if successful.
-	    */
-	    inline bool sendCompleteQuestNotification(void) const
+        
+            /**
+            @brief Sends a Notification displaying that a Quest was completed.
+            @return Returns true if successful.
+            */
+            inline bool sendCompleteQuestNotification(void) const
                 { return notificationHelper("quest", "complete"); }
 
@@ -149,5 +148,5 @@
                 { this->failMessage_ = message; }
                 
-	    /**
+            /**
             @brief Sets the complete message.
             @param message The complete message to be set.
Index: code/branches/questsystem3/src/orxonox/objects/quest/QuestEffect.cc
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/QuestEffect.cc	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/QuestEffect.cc	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file QuestEffect.cc
-    @brief
-    Implementation of the QuestEffect class.
+    @brief Implementation of the QuestEffect class.
 */
 
@@ -71,5 +70,5 @@
         Returns false if there was an error, view console of log for further detail.
     */
-    bool QuestEffect::invokeEffects(PlayerInfo* player, std::list<QuestEffect*> & effects)
+    /*static*/ bool QuestEffect::invokeEffects(PlayerInfo* player, std::list<QuestEffect*> & effects)
     {
         bool check = true;
Index: code/branches/questsystem3/src/orxonox/objects/quest/QuestEffect.h
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/QuestEffect.h	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/QuestEffect.h	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file QuestEffect.h
-    @brief
-    Definition of the QuestEffect class.
+    @brief Definition of the QuestEffect class.
 */
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/QuestEffectBeacon.cc
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file QuestEffectBeacon.cc
-    @brief
-    Implementation of the QuestEffectBeacon class.
+    @brief Implementation of the QuestEffectBeacon class.
 */
 
@@ -145,7 +144,7 @@
             this->decrementTimes(); //!< Decrement the number of times the beacon can be used.
             return true;
-    }
-
-    return false;
+        }
+
+        return false;
     }
     
@@ -167,6 +166,6 @@
         if(activate)
         {
-	    this->status_ = QuestEffectBeaconStatus::active;
-	    return true;
+        this->status_ = QuestEffectBeaconStatus::active;
+        return true;
         }
         
@@ -193,9 +192,9 @@
         
         this->times_ = this->times_ - 1; //!< Decrement number of times the QuestEffectBeacon can be executed.
-	if(this->getTimes() == 0) //!< Set the QuestEffectBeacon to inactive when the number of times it can be executed is reduced to 0.
-	{
-		this->status_ = QuestEffectBeaconStatus::inactive;
-	}
-	    
+        if(this->getTimes() == 0) //!< Set the QuestEffectBeacon to inactive when the number of times it can be executed is reduced to 0.
+        {
+            this->status_ = QuestEffectBeaconStatus::inactive;
+        }
+        
         return true;
     }
Index: code/branches/questsystem3/src/orxonox/objects/quest/QuestEffectBeacon.h
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file QuestEffectBeacon.h
-    @brief
-    Definition of the QuestEffectBeacon class.
+    @brief Definition of the QuestEffectBeacon class.
 */
 
@@ -61,21 +60,21 @@
         A QuestEffectBeacon can be inactive or active.
         
-    Creating a QuestEffectBeacon through XML goes as follows:
-    
-    <QuestEffectBeacon times=n> //Where 'n' is eighter a number >= 0, which means the QuestEffectBeacon can be executed n times. Or n = -1, which means the QuestEffectBeacon can be executed an infinite number of times.
-	<effects>
-	    <QuestEffect /> //A list of QuestEffects, invoked when the QuestEffectBeacon is executed, see QuestEffect for the full XML representation.
-	    ...
-	    <QuestEffect />
-	</effects>
-	<events>
-        <execute>
-            <EventListener event=eventIdString />
-        </execute>
-        </events>
-        <attached>
-           <PlayerTrigger name=eventIdString /> //A PlayerTrigger triggering the execution of the QuestEffectBeacon.
-        </attached>
-    </QuestEffectBeacon>
+        Creating a QuestEffectBeacon through XML goes as follows:
+        
+        <QuestEffectBeacon times=n> //Where 'n' is eighter a number >= 0, which means the QuestEffectBeacon can be executed n times. Or n = -1, which means the QuestEffectBeacon can be executed an infinite number of times.
+            <effects>
+                <QuestEffect /> //A list of QuestEffects, invoked when the QuestEffectBeacon is executed, see QuestEffect for the full XML representation.
+                ...
+                <QuestEffect />
+            </effects>
+            <events>
+                <execute>
+                    <EventListener event=eventIdString />
+                </execute>
+            </events>
+            <attached>
+                <PlayerTrigger name=eventIdString /> //A PlayerTrigger triggering the execution of the QuestEffectBeacon.
+            </attached>
+        </QuestEffectBeacon>
     @author
         Damian 'Mozork' Frick
@@ -83,44 +82,44 @@
     class _OrxonoxExport QuestEffectBeacon : public PositionableEntity
     {
-    public:
-        QuestEffectBeacon(BaseObject* creator);
-        virtual ~QuestEffectBeacon();
-        
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestEffectBeacon object through XML.
-        
-        virtual void processEvent(Event& event); //!< Processes an event for this QuestEffectBeacon.
-        
-        bool execute(bool b, PlayerTrigger* trigger); //!< Executes the QuestEffects of the QuestEffectBeacon.
-        
-        /**
-        @brief Tests whether the QuestEffectBeacon is active.
-        @return Returns true if the QuestEffectBeacon is active, fals if not.
-        */
-        inline bool isActive(void)
-           { return this->status_ == QuestEffectBeaconStatus::active; }
-        
-        bool setActive(bool activate); //!< Set the status of the QuestEffectBeacon.
-        
-    protected:
-	bool decrementTimes(void); //!< Decrement the number of times the QuestEffectBeacon can still be executed.
-	
-	/**
-	@brief Returns the number of times the QUestEffectBeacon can still be executed.
-	@return Returns the number of times the QUestEffectBeacon can still be executed.
-	*/
-	inline const int & getTimes(void) const
-	    { return this->times_; }
-
-    private:
-	static const int INFINITE = -1; //!< Constant to avoid using magic numbers.
+        public:
+            QuestEffectBeacon(BaseObject* creator);
+            virtual ~QuestEffectBeacon();
+            
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestEffectBeacon object through XML.
+            
+            virtual void processEvent(Event& event); //!< Processes an event for this QuestEffectBeacon.
+            
+            bool execute(bool b, PlayerTrigger* trigger); //!< Executes the QuestEffects of the QuestEffectBeacon.
+            
+            /**
+            @brief Tests whether the QuestEffectBeacon is active.
+            @return Returns true if the QuestEffectBeacon is active, fals if not.
+            */
+            inline bool isActive(void)
+            { return this->status_ == QuestEffectBeaconStatus::active; }
+            
+            bool setActive(bool activate); //!< Set the status of the QuestEffectBeacon.
+            
+        protected:
+            bool decrementTimes(void); //!< Decrement the number of times the QuestEffectBeacon can still be executed.
+            
+            /**
+            @brief Returns the number of times the QUestEffectBeacon can still be executed.
+            @return Returns the number of times the QUestEffectBeacon can still be executed.
+            */
+            inline const int & getTimes(void) const
+                { return this->times_; }
     
-	std::list<QuestEffect*> effects_; //!< The list of QuestEffects to be invoked on the executing player.
-	int times_; //!< Number of times the beacon can be exectued.
-	QuestEffectBeaconStatus::Enum status_; //!< The status of the QUestEffectBeacon, Can be eighter active or inactive.
-	
-	bool setTimes(const int & n); //!< Set the number of times the QuestEffectBeacon can be executed.
-	bool addEffect(QuestEffect* effect); //!< Add a QuestEffect to the QuestEffectBeacon.
-	
-	const QuestEffect* getEffect(unsigned int index) const; //!< Get the QuestEffect at a given index.
+        private:
+            static const int INFINITE = -1; //!< Constant to avoid using magic numbers.
+            
+            std::list<QuestEffect*> effects_; //!< The list of QuestEffects to be invoked on the executing player.
+            int times_; //!< Number of times the beacon can be exectued.
+            QuestEffectBeaconStatus::Enum status_; //!< The status of the QUestEffectBeacon, Can be eighter active or inactive.
+            
+            bool setTimes(const int & n); //!< Set the number of times the QuestEffectBeacon can be executed.
+            bool addEffect(QuestEffect* effect); //!< Add a QuestEffect to the QuestEffectBeacon.
+            
+            const QuestEffect* getEffect(unsigned int index) const; //!< Get the QuestEffect at a given index.
     
     };
Index: code/branches/questsystem3/src/orxonox/objects/quest/QuestHint.cc
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/QuestHint.cc	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/QuestHint.cc	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file QuestHint.cc
-    @brief
-    Implementation of the QuestHint class.
+    @brief Implementation of the QuestHint class.
 */
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/QuestHint.h
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/QuestHint.h	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/QuestHint.h	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file QuestHint.h
-    @brief
-    Definition of the QuestHint class.
+    @brief Definition of the QuestHint class.
 */
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/QuestItem.cc
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/QuestItem.cc	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/QuestItem.cc	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file QuestItem.cc
-    @brief
-    Implementation of the QuestItem class.
+    @brief Implementation of the QuestItem class.
 */
 
@@ -102,5 +101,5 @@
         Clarify form, more vigorous checks.
     */
-    bool QuestItem::isId(const std::string & id)
+    /*static*/ bool QuestItem::isId(const std::string & id)
     {
         return id.size() >= 32;
Index: code/branches/questsystem3/src/orxonox/objects/quest/QuestItem.h
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/QuestItem.h	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/QuestItem.h	(revision 2352)
@@ -29,8 +29,6 @@
 /**
     @file QuestItem.h
-    @brief
-    Definition of the QuestItem class.
-    
-    The QuestItem is the parent class of Quest and QuestHint.
+    @brief Definition of the QuestItem class.
+        The QuestItem is the parent class of Quest and QuestHint.
 */
 
@@ -71,8 +69,9 @@
             inline const std::string & getId(void) const
                 { return this->id_; }
-	    /**
-	    @brief Returns the QuestDescription of the QuestItem.
-	    @return Returns a pointer to the QuestDescription object of the QuestItem.
-	    */
+            
+            /**
+            @brief Returns the QuestDescription of the QuestItem.
+            @return Returns a pointer to the QuestDescription object of the QuestItem.
+            */
             inline const QuestDescription* getDescription(void) const
                 { return this->description_; }
Index: code/branches/questsystem3/src/orxonox/objects/quest/QuestListener.cc
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/QuestListener.cc	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/QuestListener.cc	(revision 2352)
@@ -27,4 +27,9 @@
  */
 
+/**
+    @file QuestListener.cc
+    @brief Implementation of the QuestListener class.
+*/
+
 #include "OrxonoxStableHeaders.h"
 #include "QuestListener.h"
@@ -40,12 +45,20 @@
     CreateFactory(QuestListener);
 
+    /**
+    @brief
+        Constructor. Registers the object and initializes variables.
+    */
     QuestListener::QuestListener(BaseObject* creator) : BaseObject(creator)
     {
         RegisterObject(QuestListener);
         
-        this->status_ = questListenerStatus::start;
+        this->status_ = questListenerMode::all;
         this->quest_ = NULL;
     }
     
+    /**
+    @brief
+        Destructor.
+    */
     QuestListener::~QuestListener()
     {
@@ -61,17 +74,25 @@
 
         XMLPortParam(QuestListener, "questId", setQuestId, getQuestId, xmlelement, mode);
-        XMLPortParam(QuestListener, "questStatus", setQuestStatus, getQuestStatus, xmlelement, mode);
-
-        this->quest_->addListener(this);
-        
-        COUT(3) << "QuestListener created for quest: {" << this->quest_->getId() << "} and status '" << this->getQuestStatus() << "'." << std::endl;
-    }
-    
-    void QuestListener::advertiseStatusChange(std::list<QuestListener*> & listeners, const std::string & status)
-    {
-        for (std::list<QuestListener*>::iterator it = listeners.begin(); it != listeners.end(); ++it)
+        XMLPortParam(QuestListener, "mode", setMode, getMode, xmlelement, mode);
+
+        this->quest_->addListener(this); //!< Adds the QuestListener to the Quests list of listeners.
+        
+        COUT(3) << "QuestListener created for quest: {" << this->quest_->getId() << "} with mode '" << this->getQuestStatus() << "'." << std::endl;
+    }
+    
+    /**
+    @brief
+        Makes all QuestListener in the list aware that a certain status change has occured and executes them if the status change affects them.
+    @param listeners
+        The list of QuestListeners that have to be made aware of the status change.
+    @param status
+        The status that has changed. Can be 'start' (if the Quest was started), 'complete' (if the Quest was completed) or 'fail' (if the Quest was failed).
+    */
+    /* static */ void QuestListener::advertiseStatusChange(std::list<QuestListener*> & listeners, const std::string & status)
+    {
+        for (std::list<QuestListener*>::iterator it = listeners.begin(); it != listeners.end(); ++it) //!< Iterate through all QuestListeners
         {
             QuestListener* listener = *it;
-            if(listener->getQuestStatus() == status)
+            if(listener->getMode() == status || listener->getMode() == questListenerMode::all) //!< Check whether the status change affects the give QuestListener.
             {
                 listener->execute();
@@ -80,4 +101,98 @@
     }
     
+    /**
+    @brief
+        Sets the questId of the Quest the QuestListener reacts to.
+    @param id
+        The questId of the Quest the QUestListener reacts to.
+    @return
+        Returns true if successful.
+    */
+    bool QuestListener::setQuestId(const std::string & id)
+    {
+        this->quest_ = QuestManager::findQuest(id); //!< Find the Quest corresponding to the given questId.
+        
+        if(this->quest_ == NULL) //!< If there is no such Quest.
+        {
+            COUT(1) << "This is bad! The QuestListener has not found a Quest qith a corresponding id." << std::endl; //TDO Throw a damn Exception!
+            return false;
+        }
+        
+        return true;
+    }
+    
+    /**
+    @brief
+        Sets the mode of the QuestListener.
+    @param mode
+        The mode to be set. Can be eighter 'all', 'start', 'fail' or 'complete'.
+    @return
+        Returns true if successful.
+    */
+    bool QuestListener::setMode(const std::string & mode)
+    {
+        if(status == "all")
+        {
+            this->status_ = questListenerMode::all;
+        }
+        else if(status == "start")
+        {
+            this->status_ = questListenerMode::start;
+        }
+        else if(status == "fail")
+        {
+            this->status_ = questListenerMode::fail;
+        }
+        else if(status == "complete")
+        {
+            this->status_ = questListenerMode::complete;
+        }
+        else
+        {
+            COUT(2) << "QuestListener with invalid mode '" << mode << "' created. Mode set to 'all'." << std::endl;
+	    this->status_ = questListenerMode::all;
+	    return false;
+        }
+        
+        return true;
+    }
+    
+    /**
+    @brief
+        Get the mode of the QuestListener.
+    @return
+        Return the mode of the QuestListener. Can be eighter 'all', 'start', 'fail' or 'complete'.
+    */
+    const std::string QuestListener::getMode(void)
+    {
+        if(this->status_ == questListenerMode::all)
+        {
+            return "all";
+        }
+        else if(this->status_ == questListenerMode::start)
+        {
+            return "start";
+        }
+        else if(this->status_ == questListenerMode::fail)
+        {
+            return "fail";
+        }
+        else if(this->status_ == questListenerMode::complete)
+        {
+            return "complete";
+        }
+        else
+        {
+            COUT(1) << "An unforseen, never to happen, Error has occured. This is impossible!" << std::endl;
+	    return "";
+        }
+    }
+
+    /**
+    @brief
+        Executes the QuestListener, resp. fires an Event.
+    @return
+        Returns true if successful.
+    */
     bool QuestListener::execute()
     {
@@ -85,63 +200,4 @@
         return true;
     }
-    
-    bool QuestListener::setQuestId(const std::string & id)
-    {
-        this->quest_ = QuestManager::findQuest(id);
-        if(this->quest_ == NULL)
-        {
-            COUT(1) << "This is bad!" << std::endl; //TDO Find a better way.
-            return false;
-        }
-        
-        return true;
-    }
-    
-    bool QuestListener::setQuestStatus(const std::string & status)
-    {
-        if(status == "start")
-        {
-            this->status_ = questListenerStatus::start;
-            return true;
-        }
-        else if(status == "fail")
-        {
-            this->status_ = questListenerStatus::fail;
-            return true;
-        }
-        else if(status == "complete")
-        {
-            this->status_ = questListenerStatus::complete;
-            return true;
-        }
-        else
-        {
-            COUT(2) << "QuestListener with invalid status '" << status << "' created. Status set to 'start'." << std::endl;
-	    this->status_ = questListenerStatus::start;
-	    return false;
-        }
-    }
-    
-    const std::string QuestListener::getQuestStatus(void)
-    {
-        if(this->status_ == questListenerStatus::start)
-        {
-            return "start";
-        }
-        else if(this->status_ == questListenerStatus::fail)
-        {
-            return "fail";
-        }
-        else if(this->status_ == questListenerStatus::complete)
-        {
-            return "complete";
-        }
-        else
-        {
-            COUT(1) << "An unforseen, never to happen, Error has occured. This is impossible!" << std::endl;
-	    return "";
-        }
-    }
-
 
 }
Index: code/branches/questsystem3/src/orxonox/objects/quest/QuestListener.h
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/QuestListener.h	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/QuestListener.h	(revision 2352)
@@ -27,4 +27,9 @@
  */
 
+/**
+    @file QuestListener.h
+    @brief Definition of the QuestListener class.
+*/
+
 #ifndef _QuestListener_H__
 #define _QuestListener_H__
@@ -36,11 +41,14 @@
 
 #include "core/BaseObject.h"
+
 #include "Quest.h"
 
-namespace questListenerStatus
+namespace questListenerMode
 {
 
+    //! The mode of the QuestListener.
     enum Enum
     {
+        all,
         start,
         fail,
@@ -54,5 +62,16 @@
     /**
     @brief
+        Provides a way to react to the starting, completing and failing of Quests.
         
+        The XML representation goes as follows:
+        You can use the QuestListener as if it were a Trigger or EventListener, that fires an Event when the status (depending on the set mode) of the given Quest changes.
+        
+        <BaseObject> // The object that should react to the status change of a Quest.
+            <events>
+                <function> // Where function is the method of the object that schould be executed. Normally this would be visibility or activity.
+                    <QuestListener questId="someQuestId" mode="someMode" /> // Where someQuestId is the identifier for the Quest the QuestListener is reacting to, and someMode is the kind of status change the QUestListener reacts to (all, start, complete or fail).
+                </function>
+            </events>
+        </BaseObject>
     @author
 	Damian 'Mozork' Frick
@@ -66,18 +85,23 @@
 	    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestListener object through XML.
 	    
-	    bool setQuestId(const std::string & id);
-	    bool setQuestStatus(const std::string & status);
+	    static void advertiseStatusChange(std::list<QuestListener*> & listeners, const std::string & status); //!< Makes all QuestListener in the list aware that a certain status change has occured.
 	    
-	    const std::string getQuestStatus(void);
+	    bool setQuestId(const std::string & id); //!< Sets the questId of the Quest the QuestListener reacts to.
+	    bool setMode(const std::string & mode); //!< Sets the mode of the QuestListener.
+	    
+	    const std::string getMode(void); //!< Get the mode of the QuestListener.
+	    
+	    /**
+	    @brief Get the questId of the Quest the QuestListener reacts to.
+	    @return Returns the questId of the Quest the QuestListener reacts to.
+	    */
 	    inline const std::string & getQuestId(void)
                 { return this->quest_->getId(); }
-                
-	    static void advertiseStatusChange(std::list<QuestListener*> & listeners, const std::string & status);
 	    
-	    bool execute(void);
+	    bool execute(void); //!< Executes the QuestListener, resp. fires an Event.
 	    
 	private:
-            questListenerStatus::Enum status_;
-            Quest* quest_;
+            questListenerMode::Enum mode_; //!< The mode of the QuestListener.
+            Quest* quest_; //!< A pointer to the Quest the QuestListener is reacting to.
     
     };
Index: code/branches/questsystem3/src/orxonox/objects/quest/QuestManager.cc
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/QuestManager.cc	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/QuestManager.cc	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file QuestManager.cc
-    @brief
-    Implementation of the QuestManager class.
+    @brief Implementation of the QuestManager class.
 */
 
@@ -76,5 +75,5 @@
         Returns true if successful, false if not.
     */
-    bool QuestManager::registerQuest(Quest* quest)
+    /*static*/ bool QuestManager::registerQuest(Quest* quest)
     {
         if(quest == NULL) //!< Doh! Just as if there were actual quests behind NULL-pointers.
@@ -108,5 +107,5 @@
         Returns true if successful, false if not.
     */
-    bool QuestManager::registerHint(QuestHint* hint)
+    /*static*/ bool QuestManager::registerHint(QuestHint* hint)
     {
         if(hint == NULL) //!< Still not liking NULL-pointers.
@@ -142,5 +141,5 @@
         Throws an exception if the given questId is invalid.
     */
-    Quest* QuestManager::findQuest(const std::string & questId)
+    /*static*/ Quest* QuestManager::findQuest(const std::string & questId)
     {
         if(!QuestItem::isId(questId)) //!< Check vor validity of the given id.
@@ -176,5 +175,5 @@
         Throws an exception if the given hintId is invalid.
     */
-    QuestHint* QuestManager::findHint(const std::string & hintId)
+    /*static*/ QuestHint* QuestManager::findHint(const std::string & hintId)
     {
         if(!QuestItem::isId(hintId)) //!< Check vor validity of the given id.
Index: code/branches/questsystem3/src/orxonox/objects/quest/QuestManager.h
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/QuestManager.h	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/QuestManager.h	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file QuestManager.h
-    @brief
-    Definition of the QuestManager class.
+    @brief Definition of the QuestManager class.
 */
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/Rewardable.cc
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/Rewardable.cc	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/Rewardable.cc	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file Rewardable.cc
-    @brief
-    Implementation of the Rewardable class.
+    @brief Implementation of the Rewardable class.
 */
 
Index: code/branches/questsystem3/src/orxonox/objects/quest/Rewardable.h
===================================================================
--- code/branches/questsystem3/src/orxonox/objects/quest/Rewardable.h	(revision 2351)
+++ code/branches/questsystem3/src/orxonox/objects/quest/Rewardable.h	(revision 2352)
@@ -29,6 +29,5 @@
 /**
     @file Rewardable.h
-    @brief
-    Definition of the Rewardable class.
+    @brief Definition of the Rewardable class.
 */
 
@@ -61,10 +60,10 @@
                 Method to transcribe a rewardable object to the player.
                 Must be implemented by every class inheriting from Rewardable.
-        @param player
+            @param player
                 A pointer to the ControllableEntity, do whatever you want with it.
-        @return
+            @return
                 Return true if successful.
             */
-            virtual bool reward(PlayerInfo* player) = 0; //!<
+            virtual bool reward(PlayerInfo* player) = 0;
 
     };
